<?xml version="1.0"?>

<cfsSimulation xmlns="http://www.cfs++.org/simulation"
               xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  
  
  <fileFormats>
    <input>
      <hdf5 fileName="cantilever.h5"/>
    </input>
    <output>
      <text/>
      <hdf5/>
    </output>
    <materialData file="mat.xml"/>
  </fileFormats>
  
  <domain geometryType="3d">
    <regionList>
      <region name="cantilever" material="Steel"/>
    </regionList>
    <surfRegionList>
      <surfRegion name="excite"/>
      <surfRegion name="fix-all"/>
    </surfRegionList>
    <nodeList>
      <nodes name="record">
        <coord x="400e-6" y="0" z="0"/>
      </nodes>
    </nodeList>
  </domain>
   
  <sequenceStep>
    <analysis>
      <static/>
    </analysis>
    
    <pdeList>
      <mechanic subType="3d"> 
        <regionList>
          <region name="cantilever"/>
        </regionList>
        <bcsAndLoads>
          <pressure name="excite" value="100" /> 
          <fix name="fix-all">
            <comp dof="x"/>
            <comp dof="y"/>
            <comp dof="z"/>
          </fix>
        </bcsAndLoads>
        <storeResults>
          
         <nodeResult type="mechDisplacement">
            <allRegions/>
           <nodeList>
             <nodes name="record"/>
           </nodeList>
          </nodeResult> 
         <elemResult type="mechStress">
            <allRegions/>
          </elemResult>
        </storeResults>
      </mechanic>
    </pdeList>
    
    <linearSystems>
      <system>
         <solverList>
          <pardiso>
            <IterRefineSteps>5</IterRefineSteps>
          </pardiso>
        </solverList>
      </system>
    </linearSystems>
    
  </sequenceStep>
  
</cfsSimulation>
